window.K2m = window.K2m || {};
window.K2m.Tools = window.K2m.Tools || {};
window.K2m.Tools = {
    loadScript: function (url, success) {
        var script = document.createElement('script');
        script.src = url;
        var head = document.getElementsByTagName('head')[0],
              done = false;
        script.onload = script.onreadystatechange = function () {
            if (!done && (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete')) {
                done = true;
                success();
                script.onload = script.onreadystatechange = null;
                head.removeChild(script);
            }
        };
        head.appendChild(script);
    }
};

//Plug-in
(function ($) {
    $.fn.goTo = function (ratioTopScroll) {
        $('html, body').animate({
            scrollTop: $(this).offset().top / ratioTopScroll + 'px'
        }, 'fast');
        return this; // for chaining...
    }
})(jQuery);
//Fim

//Fun��es Gerais
function windowScroll(scrolltop){
   if( $('footer .btsContato').length > 0 )
   {
        if( scrolltop + $(window).outerHeight() > $('footer .btsContato').offset().top + 90){
            $('footer .btsContato').removeClass('btsFixo');
        }else{
            $('footer .btsContato').addClass('btsFixo');
        }
    }
}
function getParameterByName(name, url) {
    if (!url) {
        url = window.location.href;
    }
    name = name.replace(/[\[\]]/g, "\\$&");
    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, " "));
}
//Fim Fun��es Gerais

//Configure K2M Site Main Components
$(function(){

    $('.page iframe.load').each(function(index) {
        $(this).contents().find('html').css({
          'zoom': '0.4',
          'width': '82vw'
        });
    });   

    //Configuring GA Tracking on the Page
    window.K2m.Tools.loadScript(("https:" == document.location.protocol ? "https://" : "http://") + "www.google-analytics.com/analytics.js", function () {
            window.K2m.Tools.loadScript(("https:" == document.location.protocol ? "https://" : "http://") + "stats.g.doubleclick.net/dc.js", function () {
            //Initialize GA 
            var gaProperty = "UA-62426266-1", _gaq = _gaq || [];
            _gaq.push(["_setAccount", gaProperty]);
            _gaq.push(["_setDomainName", "k2mdemo.microsoftcrmportals.com"]);
            _gaq.push(["_setAllowLinker", !0]);
            _gaq.push(["_trackPageview"]);
            });
        });
    //Fim Configuring GA

    // Configure Btn MENU
     // MENU
    $('.boxMenu div nav > ul > li').each(function (i, obj) {
        $(this).addClass("item" + (i + 1));
        if(i==1 || i==2){
            var linkUrl = $(this).children("a").attr('href');
            var title = $(this).children("a").text();
            var listItem = $(this).children("ul").children("li:first").clone();
            listItem.children("a").text(title);
            listItem.children("a").attr('href', linkUrl);
            $(this).children("ul").children("li:first").before(listItem);
        }
        if(i<3){
            $(this).children("a").first().addClass("abreMenu");
        }
    });
    
    //$('.boxMenu div nav > ul > li:eq(-1)').remove();

    $('header .btMenu').on('click', function(e) {
        e.preventDefault();
        $('header').toggleClass('menuOpen');
    });

    // Configure Btn AbreMenu
    $('.abreMenu').on('click', function(e) {
        if ( $(window).width() < 1200 ){
            e.preventDefault();
            if( $(this).parent().hasClass('aberto')){
                $(this).parent().removeClass('aberto');
            }else{
                $('header nav li.aberto').removeClass('aberto');
                $(this).parent().toggleClass('aberto');
            }
        }
    });
  
    // BANNER IMG TO BG
    $('.banner li').each(function(i,el){
        var src = $('img',el).attr('src');
        $('a', el).css('background-image','url('+src+')');
    })
    
    if ( $(window).width() < 1200 ){
        $('.postagens-banner .item').each(function(i,el){
            var src = $('img',el).attr('src');
            $('a', el).css('background-image','url('+src+')');
            $('img',el).hide();
        })
        $('.postagens-banner-post').css({'background-image': function(){
            $('img', this).hide();
            return 'url(' + $('img', this).attr('src') + ')';
        }})
    }


    // CARROSSEL
    $('.home-clientes .carrossel').owlCarousel({
        navigationText : ["Anterior","Próximo"],
        navigation : true,
        itemsMobile : 2,
        loop:true
    });

    if ( $(window).width() < 1200 ){
        $('.clientes-k2m .carrossel').owlCarousel({
            navigationText : ["Anterior","Próximo"],
            navigation : true,
            itemsMobile : 2,
            loop:true
        });
    }

    $('.postagens-banner .carrossel').owlCarousel({
        navigationText : ["Anterior","Próximo"],
        navigation : true,
        singleItem : true,
        loop:true
    });

    $('footer .carrossel .panel').owlCarousel({
        navigationText : ["Anterior","Próximo"],
        navigation : true,
        singleItem: true,
        loop:true
    });

    if ( $(window).width() < 1200 ){
        $('.banner ul').owlCarousel({
            navigationText : ["Anterior","Próximo"],
            navigation : true,
            singleItem: true,
            loop:true
        });
    }

    // SCROLL WINDOW
    $(window).scroll(function(){
        windowScroll( $(window).scrollTop() )
    })
    windowScroll( $(window).scrollTop() );
    window.K2m.Tools.loadScript('/k2m_Search_api.js', function () {
        k2mFx.Search.initialize();
    });


})
